unit UfrmGenSrcOptions;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, Progs, Vcl.StdCtrls;

type
  TfrmGenSrcOptions = class(TForm)
    lblSrcFileHeader: TLabel;
    memSrcFileHeader: TMemo;
    lblSrcFileFooter: TLabel;
    memSrcFileFooter: TMemo;
    edSrcFilePrgLenDecl: TEdit;
    edSrcFilePrgStpDecl: TEdit;
    lblSrcFilePrgLenDecl: TLabel;
    lblSrcFilePrgStpDecl: TLabel;
    btnOK: TButton;
    btnCancel: TButton;
  private
    { Private declarations }
  public
    { Public declarations }
  end;

  function EditGenerateOptions(AProgList: TProgList): Boolean;

implementation

{$R *.dfm}

function EditGenerateOptions(AProgList: TProgList): Boolean;
var
  frmGenSrcOptions: TfrmGenSrcOptions;
begin
  frmGenSrcOptions:= TfrmGenSrcOptions.Create(Application.MainForm);
  with frmGenSrcOptions do
  begin
    try
      memSrcFileHeader.Lines.Assign(AProgList.SrcFileHeader);
      memSrcFileFooter.Lines.Assign(AProgList.SrcFileFooter);
      edSrcFilePrgLenDecl.Text:= AProgList.SrcFilePrgLenDecl;
      edSrcFilePrgStpDecl.Text:= AProgList.SrcFilePrgStpDecl;
      Result:= ShowModal = mrOk;
      if Result then
      begin
        AProgList.SrcFileHeader.Assign(memSrcFileHeader.Lines);
        AProgList.SrcFileFooter.Assign(memSrcFileFooter.Lines);
        AProgList.SrcFilePrgLenDecl:= edSrcFilePrgLenDecl.Text;
        AProgList.SrcFilePrgStpDecl:= edSrcFilePrgStpDecl.Text;
      end;
    finally
      Free;
    end;
  end;
end;

end.
